org.apache.geode.cache

## Class NoQueueServersAvailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.client.ServerConnectivityException
          - - org.apache.geode.cache.NoQueueServersAvailableException

- All Implemented Interfaces:
    java.io.Serializable

      public class NoQueueServersAvailableException
      extends ServerConnectivityException

  Indicates that this client cannot contact any queue servers and therefore cannot perform operations that require a queue, such as registering interest.
  Since:
    GemFire 5.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoQueueServersAvailableException()` Create a new instance of NoPrimaryAvailableException without a detail message or cause.
    `NoQueueServersAvailableException(java.lang.String message)` Create a new instance of NoPrimaryAvailableException with a detail message
    `NoQueueServersAvailableException(java.lang.String message, java.lang.Throwable cause)` Create a new instance of NoPrimaryAvailableException with a detail message and cause
    `NoQueueServersAvailableException(java.lang.Throwable cause)` Create a new instance of NoPrimaryAvailableException with a cause

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoQueueServersAvailableException

          public NoQueueServersAvailableException()

      Create a new instance of NoPrimaryAvailableException without a detail message or cause.

    - #### NoQueueServersAvailableException

          public NoQueueServersAvailableException(java.lang.String message)

      Create a new instance of NoPrimaryAvailableException with a detail message
      Parameters:
        `message` - the detail message

    - #### NoQueueServersAvailableException

          public NoQueueServersAvailableException(java.lang.String message,
                                                  java.lang.Throwable cause)

      Create a new instance of NoPrimaryAvailableException with a detail message and cause
      Parameters:
        `message` - the detail message
        `cause` - the cause

    - #### NoQueueServersAvailableException

          public NoQueueServersAvailableException(java.lang.Throwable cause)

      Create a new instance of NoPrimaryAvailableException with a cause
      Parameters:
        `cause` - the cause